<?php
/**
 * The Classic template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage STEVENWATKINS
 * @since STEVENWATKINS 1.0
 */

$stevenwatkins_blog_style = explode('_', stevenwatkins_get_theme_option('blog_style'));
$stevenwatkins_columns = empty($stevenwatkins_blog_style[1]) ? 1 : max(1, $stevenwatkins_blog_style[1]);
$stevenwatkins_expanded = !stevenwatkins_sidebar_present() && stevenwatkins_is_on(stevenwatkins_get_theme_option('expand_content'));
$stevenwatkins_post_format = get_post_format();
$stevenwatkins_post_format = empty($stevenwatkins_post_format) ? 'standard' : str_replace('post-format-', '', $stevenwatkins_post_format);
$stevenwatkins_animation = stevenwatkins_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_chess post_layout_chess_'.esc_attr($stevenwatkins_columns).' post_format_'.esc_attr($stevenwatkins_post_format) ); ?>
	<?php echo (!stevenwatkins_is_off($stevenwatkins_animation) ? ' data-animation="'.esc_attr(stevenwatkins_get_animation_classes($stevenwatkins_animation)).'"' : ''); ?>
	>

	<?php
	// Add anchor
	if ($stevenwatkins_columns == 1 && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="post_'.esc_attr(get_the_ID()).'" title="'. the_title_attribute( array( 'echo' => false ) ) .'"]');
	}

	// Featured image
	stevenwatkins_show_post_featured( array(
											'class' => $stevenwatkins_columns == 1 ? 'trx-stretch-height' : '',
											'show_no_image' => true,
											'thumb_bg' => true,
											'thumb_size' => stevenwatkins_get_thumb_size(
																	strpos(stevenwatkins_get_theme_option('body_style'), 'full')!==false
																		? ( $stevenwatkins_columns > 1 ? 'big' : 'original' )
																		: (	$stevenwatkins_columns > 1 ? 'med' : 'big')
																	)
											) 
										);

	?><div class="post_inner"><div class="post_inner_content"><?php 

		?><div class="post_header entry-header"><?php 
			do_action('stevenwatkins_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			
			do_action('stevenwatkins_action_before_post_meta'); 

			// Post meta
			$stevenwatkins_post_meta = stevenwatkins_show_post_meta(array(
									'categories' => true,
									'date' => true,
									'edit' => $stevenwatkins_columns == 1,
									'seo' => false,
									'share' => false,
									'counters' => $stevenwatkins_columns < 3 ? 'comments' : '',
									'echo' => false
									)
								);
			stevenwatkins_show_layout($stevenwatkins_post_meta);
		?></div><!-- .entry-header -->
	
		<div class="post_content entry-content">
			<div class="post_content_inner">
				<?php
				$stevenwatkins_show_learn_more = !in_array($stevenwatkins_post_format, array('link', 'aside', 'status', 'quote'));
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($stevenwatkins_post_format, array('link', 'aside', 'status', 'quote'))) {
					the_content();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
				?>
			</div>
			<?php
			// Post meta
			if (in_array($stevenwatkins_post_format, array('link', 'aside', 'status', 'quote'))) {
				stevenwatkins_show_layout($stevenwatkins_post_meta);
			}
			// More button
			if ( $stevenwatkins_show_learn_more ) {
				?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'stevenwatkins'); ?></a></p><?php
			}
			?>
		</div><!-- .entry-content -->

	</div></div><!-- .post_inner -->

</article>