<?php
/**
 * The default template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage STEVENWATKINS
 * @since STEVENWATKINS 1.0
 */

$stevenwatkins_post_format = get_post_format();
$stevenwatkins_post_format = empty($stevenwatkins_post_format) ? 'standard' : str_replace('post-format-', '', $stevenwatkins_post_format);
$stevenwatkins_full_content = stevenwatkins_get_theme_option('blog_content') != 'excerpt' || in_array($stevenwatkins_post_format, array('link', 'aside', 'status', 'quote'));
$stevenwatkins_animation = stevenwatkins_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_excerpt post_format_'.esc_attr($stevenwatkins_post_format) ); ?>
	<?php echo (!stevenwatkins_is_off($stevenwatkins_animation) ? ' data-animation="'.esc_attr(stevenwatkins_get_animation_classes($stevenwatkins_animation)).'"' : ''); ?>
	><?php

	// Featured image
	stevenwatkins_show_post_featured(array( 'thumb_size' => stevenwatkins_get_thumb_size( strpos(stevenwatkins_get_theme_option('body_style'), 'full')!==false ? 'full' : 'big' ) ));

	// Title and post meta
	if (get_the_title() != '') {
		?>
		<div class="post_header entry-header">
			<?php
			do_action('stevenwatkins_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );

			do_action('stevenwatkins_action_before_post_meta'); 

			?>
		</div><!-- .post_header --><?php
	}
    // Post meta
    stevenwatkins_show_post_meta(array(
            'categories' => true,
            'date' => true,
            'edit' => false,
            'seo' => false,
            'share' => false,
            'counters' => ''	//comments,likes,views - comma separated in any combination
        )
    );
	
	// Post content
	?><div class="post_content entry-content"><?php
		if ($stevenwatkins_full_content) {
			// Post content area
			?><div class="post_content_inner"><?php
				the_content( '' );
			?></div><?php
			// Inner pages
			wp_link_pages( array(
				'before'      => '<div class="page_links"><span class="page_links_title">' . esc_html__( 'Pages:', 'stevenwatkins' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'stevenwatkins' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );

		} else {

			$stevenwatkins_show_learn_more = !in_array($stevenwatkins_post_format, array('link', 'aside', 'status', 'quote'));

			// Post content area
			?><div class="post_content_inner"><?php
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($stevenwatkins_post_format, array('link', 'aside', 'status', 'quote'))) {
					the_content();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
			?></div><?php
			// More button
			if ( $stevenwatkins_show_learn_more ) {
				?><p><div class="sc_item_button"><a class="more-link sc_button_accent_bg_1" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'stevenwatkins'); ?></a></div></p><?php
			}

		}
	?></div><!-- .entry-content -->
</article>