<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('stevenwatkins_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'stevenwatkins_cf7_theme_setup9', 9 );
	function stevenwatkins_cf7_theme_setup9() {
        add_filter( 'stevenwatkins_filter_merge_scripts',	'stevenwatkins_cf7_merge_scripts');

        if (stevenwatkins_exists_cf7()) {
            add_action( 'wp_enqueue_scripts',		'stevenwatkins_cf7_frontend_scripts', 1100 );
        }

		if (is_admin()) {
			add_filter( 'stevenwatkins_filter_tgmpa_required_plugins',			'stevenwatkins_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'stevenwatkins_cf7_tgmpa_required_plugins' ) ) {
	
	function stevenwatkins_cf7_tgmpa_required_plugins($list=array()) {
        if (in_array('contact-form-7', stevenwatkins_storage_get('required_plugins')))
            $list[] = array(
                'name' 		=> esc_html__('Contact Form 7', 'stevenwatkins'),
                'slug' 		=> 'contact-form-7',
                'required' 	=> false
            );
		return $list;
	}
}



// Check if cf7 installed and activated
if ( !function_exists( 'stevenwatkins_exists_cf7' ) ) {
	function stevenwatkins_exists_cf7() {
		return class_exists('WPCF7');
	}
}

// Enqueue custom scripts
if ( !function_exists( 'stevenwatkins_cf7_frontend_scripts' ) ) {
    //Handler of the add_action( 'wp_enqueue_scripts', 'stevenwatkins_cf7_frontend_scripts', 1100 );
    function stevenwatkins_cf7_frontend_scripts() {
        if (stevenwatkins_exists_cf7()) {
            if (stevenwatkins_is_on(stevenwatkins_get_theme_option('debug_mode')) && ($stevenwatkins_url = stevenwatkins_get_file_url('plugins/contact-form-7/contact-form-7.js')) != '')
                wp_enqueue_script( 'stevenwatkins-cf7', $stevenwatkins_url, array('jquery'), null, true );
        }
    }
}

// Merge custom scripts
if ( !function_exists( 'stevenwatkins_cf7_merge_scripts' ) ) {
    //Handler of the add_filter('stevenwatkins_filter_merge_scripts', 'stevenwatkins_cf7_merge_scripts');
    function stevenwatkins_cf7_merge_scripts($list) {
        if (stevenwatkins_exists_cf7()) {
            $list[] = 'plugins/contact-form-7/contact-form-7.js';
        }
        return $list;
    }
}
?>