<?php
/* gdpr-compliance support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('stevenwatkins_gdpr_theme_setup9')) {
	add_action( 'after_setup_theme', 'stevenwatkins_gdpr_theme_setup9', 9 );
	function stevenwatkins_gdpr_theme_setup9() {
		if (is_admin()) {
			add_filter( 'stevenwatkins_filter_tgmpa_required_plugins',		'stevenwatkins_gdpr_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'stevenwatkins_exists_gdpr' ) ) {
	function stevenwatkins_exists_gdpr() {
		return function_exists('__gdpr_load_plugin') || defined('GDPR_VERSION');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'stevenwatkins_gdpr_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('stevenwatkins_filter_tgmpa_required_plugins',	'stevenwatkins_gdpr_tgmpa_required_plugins');
	function stevenwatkins_gdpr_tgmpa_required_plugins($list=array()) {
        if (in_array('wp-gdpr-compliance', stevenwatkins_storage_get('required_plugins'))) {
			$list[] = array(
				'name'     => esc_html__( 'WP GDPR Compliance', 'stevenwatkins' ),
				'slug'     => 'wp-gdpr-compliance',
				'required' => false
			);
		}
		return $list;
	}
}

